Bug 204087 - getfacl/setfacl should support -n
getfacl/setfacl should support -n
Product: Fedora
Classification: Fedora
Component: acl (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
Depends On:
  Show dependency treegraph
Reported: 2006-08-25 10:17 EDT by Josh Kelley
Modified: 2015-02-01 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-25 08:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch that adds short params support to getfacl. (3.90 KB, patch)
2007-07-25 07:45 EDT, Jiri Moskovcak
no flags Details | Diff

  None (edit)
Description Josh Kelley 2006-08-25 10:17:05 EDT
For compatibility with other filesystem utilities like ls and repquota, and to
help sites like ours that our unfortunate enough to use numeric usernames,
getfacl and setfacl should have a -n option that lists numeric uids and gids.
Comment 1 Jiri Moskovcak 2007-07-24 08:55:19 EDT
getfacl --numeric should work.
Comment 2 Jiri Moskovcak 2007-07-25 07:45:42 EDT
Created attachment 159917 [details]
Patch that adds short params support to getfacl.
Comment 3 Josh Kelley 2007-07-26 09:30:43 EDT
Has the manpage been updated to list -n and --numeric?  Or should that be a
separate bug?
Comment 4 Jiri Moskovcak 2007-07-26 10:11:22 EDT
Yes, it has been updated.
Comment 5 Josh Kelley 2007-07-26 13:14:10 EDT
Thank you!

Note You need to log in before you can comment on or make changes to this bug.